# Inquiry Name

This service is used by partners/users for Inquiry name of account bank that has been registered. Use this relative URL for generating a signature :

* Relative URL : **`/account/api/ inquiry_name/< va_partner >/< va_number >`**
* Development : `https://sendme-sandbox.faspay.co.id/account/api/inquiry_name/<va_partner>/<va_number>`&#x20;

> VA number means VA number under partner that has been registered

And also need to create a **signature** and use **request header**.

{% tabs %}
{% tab title="Response Body" %}

<table><thead><tr><th width="270">Parameter</th><th>Data Type</th><th>M/O/C</th><th>Description</th></tr></thead><tbody><tr><td>virtual_account</td><td>Number</td><td>Mandatory</td><td>Virtual account number partner</td></tr><tr><td>beneficiary_virtual_account</td><td>Number</td><td>Mandatory</td><td>VA of beneficiary account</td></tr><tr><td>beneficiary_account_number</td><td>Number</td><td>Mandatory</td><td>Bank account number</td></tr><tr><td>beneficiary_account_name</td><td>String</td><td>Mandatory</td><td>Name of bank account</td></tr><tr><td>status</td><td>Number</td><td>Mandatory</td><td>Status inquiry (2 = success)</td></tr><tr><td>message</td><td>String</td><td>Mandatory</td><td>Message Description</td></tr><tr><td>response_code</td><td>Number</td><td>Mandatory</td><td>Response code from bank (00 = success)</td></tr><tr><td>response_desc</td><td>String</td><td>Mandatory</td><td>Response description from bank</td></tr></tbody></table>
{% endtab %}

{% tab title="Sample Code Response" %}

```json
{
 "virtual_account": "9920011089",
 "beneficiary_virtual_account": "9843118263",
 "beneficiary_account_number": "99001081234567890",
 "beneficiary_account_name": "GOPAY JOHNNY SUH",
 "status": "2",
 "message": "Success",
 "response_code": "00",
 "response_desc": "success"
}

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.faspay.co.id/merchant-integration/api-reference-1/sendme/e-wallet-top-up/inquiry-name.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
